package com.cf.imes.module.system.dal.mysql.label;

import com.cf.imes.framework.mybatis.core.mapper.BaseMapperX;
import com.cf.imes.module.system.dal.dataobject.lable.LabelElementDO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 标签元素模板 Mapper
 *
 * @author 晨丰科技
 */
@Mapper
public interface LabelElementMapper extends BaseMapperX<LabelElementDO> {

    default List<LabelElementDO> selectListByLabelId(Long labelTemplateId) {
        return selectList(LabelElementDO::getLabelId, labelTemplateId);
    }

    default int deleteByLabelId(Long labelTemplateId) {
        return delete(LabelElementDO::getLabelId, labelTemplateId);
    }

}